<?php 
session_start();
include('../cfg/cfg.php');
include('../cfg/res.php');
if(empty($_SESSION['user_vcrx_tipo']) || !isset($_SESSION['user_vcrx_tipo']))
{
	die('<a href="../salir.php">SU SESSION EXPIRO.</a>');
}


$pagina_descri='SINIESTRO ';
$pagina_nivel;
$pagina_tipo;
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo $empr_nombre .' - ' . $_SESSION['user_vcrx_descri'];?></title>
<script type="text/javascript" src="../js/jquery-1.11.1.js"></script>

<script type="text/javascript">
<?php include('../../_js/busca_maes3.js');?>
<?php include('../../_js/lista_maes3.js');?>
<?php include('../../_js/fecha_format.js');?>



function _seguro(e)
{if(e.keyCode==9 || e.keyCode==13){busca_maes2('enti',document.getElementById('seguro').value,'seguro','seguro_descri','');}}

function _vehiculo(e)
{if(e.keyCode==9 || e.keyCode==13){busca_maes2('vhcl',document.getElementById('vehiculo').value,'vehiculo','vehiculo_descri','');}}

function _numero(e)
{
		get_siniestro(document.getElementById('numero').value);
	if(e.keyCode==13)
	{
	}

}

function guarda_siniestro()
{
	document.getElementById('guardar').disabled=true;
	var codigo;
	var descri=document.getElementById('descri').value;
	var status;
	var seguro=document.getElementById('seguro').value;
	var poliza=document.getElementById('poliza').value;
	var vehiculo=document.getElementById('vehiculo').value;
	var entrega=document.getElementById('entrega').value;
	var ejecutivo=document.getElementById('ejecutivo').value;
	var lugar=document.getElementById('lugar').value;
	var numero=document.getElementById('numero').value;
	var asegurado=document.getElementById('asegurado').value;
	
	$.ajax({
		cache:false,
		url:'vrsntr2.php',
		datatype: "text",
	    async:false,
		type:'POST',
		data:{
				descri:descri.toUpperCase(),
				seguro:seguro.toUpperCase(),
				poliza:poliza.toUpperCase(),
				vehiculo:vehiculo.toUpperCase(),
				entrega:entrega.toUpperCase(),
				ejecutivo:ejecutivo.toUpperCase(),
				lugar:lugar.toUpperCase(),
				numero:numero,
				asegurado:asegurado.toUpperCase()
				}, 
    	beforeSend: function(jqXHR, textStatus)
		{
	
		}, 
		
		success:function(dato, textStatus, jqXHR)
		{
			console.log(dato);
			if(dato!='Ocurrio un Error al Grabar!')
			{
				document.getElementById('codigo').value=dato;
				//window.open('vrsntrf.php?indx='+dato,'target="_blank"','toolbar=yes');
			}
			else
			{
				alert('Ocurrio un Error al Grabar!');
			}
                  //document.body.style.cursor='default';
		},
		error:function(jqXHR,textStatus,errorThrown )
		{
           if (jqXHR.status === 0) {
              console.log('Not connect: Verify Network.');
           } else if (jqXHR.status == 404) {
               console.log('Requested page not found [404]');
           } else if (jqXHR.status == 500) {
               console.log('Internal Server Error [500].');
           } else if (exception === 'parsererror') {
               console.log('Requested JSON parse failed.');
           } else if (exception === 'timeout') {
               //console.log('Time out error.');
			   alert('Servidor no Responde');
           } else if (exception === 'abort') {
               console.log('Ajax request aborted.');
           } else {
               console.log('Uncaught Error: ' + jqXHR.responseText);
           }

		}, 
	    complete:function(jqXHR, textStatus)
    	{
			if(textStatus==='success'){}           
		},
		timeout:30000
	});

	document.getElementById('guardar').disabled=false;


}

function limpiar()
{

	
	for(i=0; i < document.getElementsByClassName('txt').length ; i++)
	{
		document.getElementsByClassName('txt').item(i).value='';
		
	}

}

function get_siniestro(indx)
{
	
	
	$.ajax({
		cache:false,
		url:'vrsntr3.php',
		datatype: "text",
	    async:false,
		type:'POST',
		data:{indx:indx}, 
    	beforeSend: function(jqXHR, textStatus)
		{
	
		}, 
		
		success:function(dato, textStatus, jqXHR)
		{
			console.log(dato);
			
			if($(dato).find("error").text()=='0')
			{
				document.getElementById('codigo').value=$(dato).find("codigo").text();
				document.getElementById('descri').value=$(dato).find("descri").text();
				document.getElementById('status').value=$(dato).find("status").text();
				document.getElementById('seguro').value=$(dato).find("seguro").text();
				document.getElementById('poliza').value=$(dato).find("poliza").text();
				document.getElementById('vehiculo').value=$(dato).find("vehiculo").text();
				document.getElementById('entrega').value=$(dato).find("entrega").text();
				document.getElementById('ejecutivo').value=$(dato).find("ejecutivo").text();
				document.getElementById('lugar').value=$(dato).find("lugar").text();
				document.getElementById('numero').value=$(dato).find("numero").text();
				document.getElementById('asegurado').value=$(dato).find("asegurado").text();
				document.getElementById('guardar').style.visibility="hidden";
				document.getElementById('limpiar').style.visibility="hidden";
				document.getElementById('actualizar').style.visibility="visible";
				document.getElementById('cancelar').style.visibility="visible";
			
			}
			else
			{
				//document.getElementById('error_sntr').innerHTML=$(dato).find("error").text();
			}
		},
		error:function(jqXHR,textStatus,errorThrown )
		{
           if (jqXHR.status === 0) {
              console.log('Not connect: Verify Network.');
           } else if (jqXHR.status == 404) {
               console.log('Requested page not found [404]');
           } else if (jqXHR.status == 500) {
               console.log('Internal Server Error [500].');
           } else if (exception === 'parsererror') {
               console.log('Requested JSON parse failed.');
           } else if (exception === 'timeout') {
               //console.log('Time out error.');
			   alert('Servidor no Responde');
           } else if (exception === 'abort') {
               console.log('Ajax request aborted.');
           } else {
               console.log('Uncaught Error: ' + jqXHR.responseText);
           }

		}, 
	    complete:function(jqXHR, textStatus)
    	{
			if(textStatus==='success'){}           
		},
		timeout:60000
	});



}

function actualiza_siniestro()
{
	update_siniestro(document.getElementById('codigo').value);
}

function update_siniestro(indx)
{
	var codigo;
	var descri=document.getElementById('descri').value;
	var status;
	var seguro=document.getElementById('seguro').value;
	var poliza=document.getElementById('poliza').value;
	var vehiculo=document.getElementById('vehiculo').value;
	var entrega=document.getElementById('entrega').value;
	var ejecutivo=document.getElementById('ejecutivo').value;
	var lugar=document.getElementById('lugar').value;
	
	$.ajax({
		cache:false,
		url:'vrsntr4.php',
		datatype: "text",
	    async:false,
		type:'POST',
		data:{
				codigo:indx.toUpperCase(),
				descri:descri.toUpperCase(),
				seguro:seguro.toUpperCase(),
				poliza:poliza.toUpperCase(),
				vehiculo:vehiculo.toUpperCase(),
				entrega:entrega.toUpperCase(),
				ejecutivo:ejecutivo.toUpperCase(),
				lugar:lugar.toUpperCase(),
				}, 
    	beforeSend: function(jqXHR, textStatus)
		{
	
		}, 
		
		success:function(dato, textStatus, jqXHR)
		{
			console.log(dato);
			alert(dato);
			                
		},
		error:function(jqXHR,textStatus,errorThrown )
		{
           if (jqXHR.status === 0) {
              console.log('Not connect: Verify Network.');
           } else if (jqXHR.status == 404) {
               console.log('Requested page not found [404]');
           } else if (jqXHR.status == 500) {
               console.log('Internal Server Error [500].');
           } else if (exception === 'parsererror') {
               console.log('Requested JSON parse failed.');
           } else if (exception === 'timeout') {
               //console.log('Time out error.');
			   alert('Servidor no Responde');
           } else if (exception === 'abort') {
               console.log('Ajax request aborted.');
           } else {
               console.log('Uncaught Error: ' + jqXHR.responseText);
           }

		}, 
	    complete:function(jqXHR, textStatus)
    	{
			if(textStatus==='success'){}           
		},
		timeout:30000
	});



}

function cancela_siniestro()
{
	document.getElementById('guardar').style.visibility="visible";
	document.getElementById('limpiar').style.visibility="visible";
	document.getElementById('actualizar').style.visibility="hidden";
	document.getElementById('cancelar').style.visibility="hidden";
}

function limpiar()
{
	for(i=0;i<document.getElementsByClassName('txt').length;i++)
	{
		document.getElementsByClassName('txt').item(i).value='';
	}
}
</script>

<style type="text/css">
.txt{ text-transform:uppercase;}
</style>
</head>

<body>
<div align="center">
	<div>
	<div align="center"><?php include('../../_lib/cabecera2.php');?></div>
	<div>
    
    


<table>
<tr>
	<td><input type="button" value="CODIGO:" onClick="list_carga('sntr','codigo','codigo_descri');"  /></td>
    <td><input type="text" id="codigo"  class="txt" onkeypress="_codigo(event);"  /></td>
    <td><div id="codigo_descri"></div></td>
</tr>

<tr>
	<td><input type="button" value="DESCRIPCION:" /></td>
    <td><input type="text" id="descri"  class="txt" /></td>
    <td><div id="descri_descri"></div></td>
</tr>


<tr>
	<td><input type="button" value="STATUS:"  /></td>
    <td><input type="text" id="status"  disabled="disabled"  class="txt" /></td>
    <td><div id="status_descri"></div></td>
</tr>

<tr>
		<?php $pcaption='NUMERO'; $pidtxt='numero'; $plong=20; $ponblur='_numero(event);';  include('vrgettxt.php'); ?>
<!-- 	<td><input type="button" value="NUMERO:" /></td>
    <td><input type="text" id="numero"  class="txt" /></td>
    <td><div id="numero_descri"></div></td> -->
</tr>


<tr>
		<?php $pcaption='SEGURO'; $ptabla='enti'; $pidtxt='seguro';   include('vrgetcod.php'); ?>
<!-- 	<td><input type="button" value="SEGURO:" onClick="list_carga('enti','seguro','seguro_descri');" /></td>
    <td><input type="text" id="seguro"  class="txt" onkeypress="_seguro(event);"  /></td>
    <td><div id="seguro_descri"></div></td> -->
</tr>


<tr>
		<?php $pcaption='POLIZA'; $pidtxt='poliza'; $plong=20;   include('vrgettxt.php'); ?>
<!-- 	<td><input type="button" value="POLIZA:"  /></td>
    <td><input type="text" id="poliza"   class="txt" /></td>
    <td><div id="poliza_descri"></div></td> -->
</tr>


<tr>
		<?php $pcaption='VEHICULO'; $ptabla='vhcl'; $pidtxt='vehiculo';    include('vrgetcod.php'); ?>
<!-- 	<td><input type="button" value="VEHICULO:"  onClick="list_carga('vhcl','vehiculo','vehiculo_descri');"/></td>
    <td><input type="text" id="vehiculo"  class="txt" onkeypress="_vehiculo(event);" /></td>
    <td><div id="vehiculo_descri"></div></td> -->
</tr>

<tr>
		<?php $pcaption='ENTREGA';  $pidtxt='entrega'; $plong='20';    include('vrgettxt.php'); ?>
<!-- 	<td><input type="button" value="ENTREGA:" /></td>
    <td><input type="text" id="entrega"  class="txt" /></td>
    <td><div id="entrega_descri"></div></td> -->
</tr>


<tr>
		<?php $pcaption='EJECUTIVO';  $pidtxt='ejecutivo'; $plong='20' ;   include('vrgettxt.php'); ?>
<!-- 	<td><input type="button" value="EJECUTIVO:" /></td>
    <td><input type="text" id="ejecutivo"  class="txt" /></td>
    <td><div id="ejecutivo_descri"></div></td> -->
</tr>

<tr>
		<?php $pcaption='LUGAR';  $pidtxt='lugar'; $plong='20';    include('vrgettxt.php'); ?>
<!-- 	<td><input type="button" value="LUGAR:" /></td>
    <td><input type="text" id="lugar"  class="txt" /></td>
    <td><div id="lugar_descri"></div></td> -->
</tr>

<tr>
		<?php $pcaption='ASEGURADO';  $pidtxt='asegurado'; $plong='20' ;   include('vrgettxt.php'); ?>
<!-- 	<td><input type="button" value="ASEGURADO:" /></td>
    <td><input type="text" id="asegurado"  class="txt" /></td>
    <td><div id="asegurado_descri"></div></td> -->
</tr>


</table>
<input type="image"   src="http://vcrxol.com/_img/print2.png" width="20" height="20" onclick="imprimir();" style="visibility:hidden;" />
<input type="button" value="Guardar" id="guardar" onclick="guarda_siniestro();" />
<input type="button" value="Actualizar" id="actualizar" onclick="actualiza_siniestro();" style="visibility:hidden;" />
<input type="button" value="Cancelar" id="cancelar" onclick="cancela_siniestro();"  style="visibility:hidden;" />

<input type="button" value="Limpiar" id="limpiar" onclick="limpiar();" />

    </div>
    </div>
</div>

<?php		
require('lista_car.php');
?>	

<div id="error_sntr"></div>
<!-- <div id="lista_temporal_contenedor" style=" display:none; padding:0px; margin:0px; background: #666; opacity:0.5; width:100%; min-height: 100%; height:auto !important;position: fixed;top:0;left:0; z-index:1;" ></div>
<div id="lista_cargador" style=" display:none; background:#FFF;position: fixed; top:50px;z-index:10;" ><img src="../img/ajax-loader.gif" /></div>    
<div id="lista_temporal" style=" display:none; background:#FFF;position: fixed; top:50px;z-index:10; overflow-y:scroll; min-height:50px; max-height:400px; width:100%;" ><img src="../img/ajax-loader.gif" /></div>    
 -->

</body>
</html>